<?php

namespace ModulesGarden\ProxmoxAddon\Core\App\Controllers\Instances\Http;

use \ModulesGarden\ProxmoxAddon\Core\App\Controllers\Interfaces\AdminArea;
use \ModulesGarden\ProxmoxAddon\Core\App\Controllers\Interfaces\ClientArea;
use \ModulesGarden\ProxmoxAddon\Core\App\Controllers\Instances\HttpController;

class PageNotFound extends HttpController implements AdminArea, ClientArea
{
    protected $templateName = 'pageNotFound';

    public function execute($params = null)
    {
        $this->setParams($params);

        return $this->resolveResponse();
    }

    public function resolveResponse()
    {
        return $this->responseResolver->setResponse(\ModulesGarden\ProxmoxAddon\Core\Helper\view())
                        ->setTemplateName($this->getTemplateName())
                        ->setTemplateDir($this->getTemplateDir())
                        ->setPageController($this)
                        ->resolve();
    }
}
